<?php

use App\Database\Blueprint;
use Illuminate\Database\Migrations\Migration;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('profit_center_users', function (Blueprint $table) {
            $table->foreignId('profit_center_id')->constrained()->onDelete('NO ACTION');
            $table->foreignId('user_id')->constrained()->onDelete('NO ACTION');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('profit_center_users');
    }
};
